import AActionButton from './AActionButton'
import AAutocomplete from './AAutocomplete'
import ACarousel from './ACarousel'
import ADropdown from "./ADropdown"
import AEpisode from './AEpisode'
import AList from './AList'
import APage from './APage'
import APlayer from './APlayer'
import APlaylist from './APlaylist'
import ATracklistEditor from './ATracklistEditor'
import AProgress from './AProgress'
import ASoundItem from './ASoundItem'
import ASwitch from './ASwitch'
import AStatistics from './AStatistics'
import AStreamer from './AStreamer'

import AModal from "./AModal"
import ASelectFile from "./ASelectFile"

/**
 * Core components
 */
export const base = {
    AAutocomplete, ACarousel, ADropdown, AEpisode, AList, APage, APlayer, APlaylist,
    AProgress, ASoundItem, ASwitch,

}

export default base

export const admin = {
    ...base,
    AStatistics, AStreamer, ATracklistEditor
}

export const dashboard = {
    ...base,
    AActionButton, ASelectFile, AModal, ATracklistEditor,
}
